Bug 33281 - package dependency deadlock
Summary: package dependency deadlock
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: ghostscript (Show other bugs)
(Show other bugs)
Version: 7.0
Hardware: i386 Linux
medium
low
Target Milestone: ---
Assignee: Crutcher Dunnavant
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-03-26 21:20 UTC by dave
Modified: 2007-04-18 16:32 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-26 21:20:38 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description dave 2001-03-26 21:20:35 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.72 [en] (X11; U; Linux 2.2.18-moby5-1 i686)


# rpm -e ghostscript
error: removing these packages would break dependencies:
	ghostscript is needed by ghostscript-fonts-5.50-3
# rpm -e ghostscript-fonts
error: removing these packages would break dependencies:
	ghostscript-fonts is needed by ghostscript-5.50-7


Reproducible: Always
Steps to Reproduce:
1. rpm -e ghostscript-fonts
2. rpm -e ghostscript
	

Actual Results:  See description

Expected Results:  packages should be removed

Comment 1 Bill Nottingham 2001-03-27 05:59:34 UTC
Put them both in the same transaction, i.e.
rpm -e ghostscript ghostscript-fonts




Note You need to log in before you can comment on or make changes to this bug.